<template>
    <lightning-card
            variant="narrow"
            icon-name="standard:lightning_component">
        <h1 slot="title">{labels.weatherHomePageHeader}</h1>

        <lightning-layout class="slds-p-around_medium">
            <template if:true={isSpinnerLoading}>
                <lightning-spinner alternative-text="Loading"></lightning-spinner>
            </template>

            <lightning-layout-item class="slds-p-around_x-small" size=6>
                <div class="slds-p-bottom_medium">
                    <lightning-input type="text"
                                     label={labels.zipCodeInputTextLabel}
                                     placeholder={labels.zipCodeInputPlaceholder}
                                     value={zipCode}
                                     onchange={onZipCodeFieldChange}
                                     onkeyup={handleKeyUp}
                    ></lightning-input>
                </div>

                <div class="slds-p-bottom_medium">
                    <lightning-radio-group name="temperatureScale"
                                           label="Temperature Scale"
                                           options={temperatureScaleOptions}
                                           onchange={onTemperatureScaleChange}
                                           value={temperatureScale}
                                           type="radio">
                    </lightning-radio-group>
                </div>

                <lightning-button
                        onclick={handleGetForecast}
                        label="Get Forecast"
                        disabled={isGetForecastButtonDisabled}
                ></lightning-button>

                <template if:true={isErrorHappened}>
                    <div class="slds-theme_error slds-m-top_medium slds-p-around_medium custom_error-border-radius">
                        <lightning-icon icon-name="utility:error" variant="inverse" size="small"></lightning-icon>
                        <span class="slds-p-left_xx-small">{labels.errorBoxTextPrefix} {errorValue}</span>
                    </div>
                </template>
                <template if:true={isDailyForecastExist}>
                    <div class="slds-text-heading_medium slds-p-vertical_medium">
                        <lightning-formatted-text value={selectedPlace}></lightning-formatted-text>
                    </div>
                </template>
            </lightning-layout-item>


            <lightning-layout-item class="slds-p-around_x-small" size=6>
                <template if:true={isDailyForecastExist}>
                    <c-all-daily-forecasts-view daily-forecasts={dailyForecasts} temperature-scale={temperatureScale}></c-all-daily-forecasts-view>
                </template>

                <template if:false={isDailyForecastExist}>
                    {labels.responsePlaceholder}
                </template>
            </lightning-layout-item>

        </lightning-layout>
    </lightning-card>
</template>